<form action="" method="POST" class="wcol-settings">
    <input type="hidden" name='exculde_rules' value='1'>
    <?php wp_nonce_field( 'wcol_save_rules', '_wcol_save_rules_nonce', true ); ?>
    <div class="wcol-rules-section wcol-exculde-section">
        <table class="wp-list-table widefat fixed striped">
            <thead>
                <th class="manage-column column-cb check-column wcol-select-all">
                    <input type="checkbox"/>
                </th>
                <th class="manage-column column-primary wcol-object-type-th">
                    <?php _e('Products', 'wc-order-limit'); ?>
                </th>
                <th class="manage-column column-primary wcol-object-type-th">
                    <?php _e('Exclude from limit rules', 'wc-order-limit'); ?>
                </th>
                <th class="manage-column column-primary wcol-object-type-th">
                    <?php _e('Maximum limit', 'wc-order-limit'); ?>
                </th>
                <th class="manage-column column-primary wcol-object-type-th">
                    <?php _e('Disable Exclusion Rule', 'wc-order-limit'); ?>
                </th>
            </thead>
            <tbody class="wcol-main-body">
                <?php 
                $xs_i = 0;
                if(is_array($wcol_exclude_rules)){
                    foreach ($wcol_exclude_rules as $rule) {
                        ?>
                        <tr data-id='<?php echo $rule['rule-id'] ?>' class="wcol-exclude-row">
                            <td class="check-column wcol-cb">
                                <input type="checkbox" class="wcol-rule-checkbox" />
                                <input type="hidden" name="wcol-rules[exclude-rules][rule-id][<?php echo $xs_i; ?>]" value="<?php echo $rule['rule-id']; ?>" >
                            </td>
                            <td class="column-primary">
                                <select class="wcol-select-products <?php if($rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" name="wcol-rules[exclude-rules][object-ids][<?php echo $xs_i; ?>][]" multiple="multiple">
                                    <?php 
                                    if(is_array($rule["object_ids"])){
                                        foreach($rule["object_ids"] as $product_id){
                                            if(isset($product_id)&& !empty($product_id) ){          
                                                if($product_id == "-1"){
                                                    ?>
                                                    <option value="<?php esc_html_e($product_id)?>" selected="selected"> 
                                                        <?php  esc_html_e("All Products") ?>
                                                    </option>
                                                    <?php
                                                }else{
                                                    $product = wc_get_product( $product_id );
                                                    if($product != null){
                                                        ?>
                                                        <option value="<?php esc_html_e($product_id)?>" selected="selected"> 
                                                            <?php  echo get_the_title( $product_id ); ?>
                                                        </option>
                                                    <?php           
                                                    }
                                                }
                                            }   
                                        }
                                    } 
                                    ?>
                                </select>
                                <button type="button" class="toggle-row"><span class="screen-reader-text"><?php _e( 'Show more details', 'wc-order-limit') ?></span></button>
                            </td>
                            <td  data-colname="<?php _e('Exclude from limit rule', 'wc-order-limit'); ?>">
                                <input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol-rules[exclude-rules][enable][<?php echo $xs_i; ?>]" value ="<?php echo $rule['exclude-limit'] ?>" />
                                <input type="checkbox" class="wcol-exclude wcol-loop-checkbox <?php if($rule['disable-limit']=='on'){echo 'wcol-disabled';} ?>" <?php if(isset($rule['exclude-limit']) && $rule['exclude-limit']=='on'){echo 'checked';} ?>/>
                            </td>
                            <td  data-colname="<?php _e('Maximum Limit', 'wc-order-limit'); ?>">
                                <input type="number" min="0" class="wcol-exclude-limit <?php if($rule['disable-limit']=='on'){echo 'wcol-disabled';} ?> <?php if(isset($rule['exclude-limit']) && $rule['exclude-limit']=='on'){echo 'wcol-hidden';} ?>" name="wcol-rules[exclude-rules][rule-limit][<?php echo $xs_i; ?>]" value="<?php echo $rule['wcol_max_order_limit'] ?>" />
                            </td>
                            <td data-colname="<?php _e('Disable Limit', 'wc-order-limit'); ?>">
                                <input type="hidden" class="wcol-loop-checkbox-hidden" name="wcol-rules[exclude-rules][disable-limit][<?php echo $xs_i; ?>]" value="<?php echo $rule['disable-limit'] ?>"/>
                                <input class="wcol-disable-rule-limit wcol-loop-checkbox" type="checkbox" <?php if(isset($rule['disable-limit']) && $rule['disable-limit']=='on'){echo 'checked';} ?> />
                            </td>
                        </tr>
                        <?php
                        $xs_i++;
                    }
                }
                ?>
                <input type="hidden" class="xswcol-eid" value="<?php echo $xs_i; ?>" /> 
            </tbody>
            <tfoot>
                <tr>
                  <td colspan="5" class="xswcol-add-new-rule"><div class="button button-primary" id="wcol-add-exclude-rule"><span class="dashicons dashicons-plus-alt2"></span></div></td>
                </tr>
            </tfoot>
        </table>
        <div class="wcol-actions-btn">
            <input type="submit" class="button button-primary button-large xs-wcol" value="<?php _e('Save', 'wc-order-limit')?>" disabled />
            <input type="button" class="button button-large wcol-delete-selected" data-toggle= "modal"  data-target ="#xswcol-rule-modal" value="<?php _e('Delete Selected'); ?>" disabled/>
            <span class="spinner wcol_spinner"></span>
        </div>
    </div>
</form>
<!-- Modal -->
<div class="modal fade wcol-rule-modal" id="xswcol-rule-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">       
              <h5 class="modal-title"><?php esc_html_e('Are you sure you want to delete selected rules?','wc-order-limit'); ?></h5> 
              <button type="button" class="close wcol-rule-button-disable" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary wcol-rule-button-disable" data-dismiss="modal"><?php esc_html_e('No','wc-order-limit'); ?></button>
                <button type="button" class="btn btn-success wcol-delete-rule wcol-rule-button-disable"><?php esc_html_e('Yes','wc-order-limit'); ?></button>
                <span class="spinner wcol_spinner wcol-rule-modal-spinner"></span>
            </div>
        </div>
    </div>
</div>
<!-- #Modal -->