<div class="wcol-license-page">
    <div class="wcol-license-container">
        <div class="wcol-license-header">
            <img src="<?php echo plugin_dir_url( __DIR__ ).'img/xfinity-logo.png' ?>">
        </div>
        <?php $license = get_option('xswcol_license',array()); ?>
        <?php $xswcol_pcode = get_option('xswcol_pcode',false); ?>
        <?php $xswcol_email = get_option('xswcol_email',false); ?>
        <ul class="wcol-timeline">
            <li class="wcol-timeline-item wcol-step-done">
                <span class="wcol-timeline-item-helper"><?php esc_html_e('1','wc-order-limit');?></span>
                <span class="wcol-timeline-item-text"><?php esc_html_e('Download','wc-order-limit');?></span>
            </li>
            <li class="wcol-timeline-item wcol-step-done">
                <span class="wcol-timeline-item-helper"><?php esc_html_e('2','wc-order-limit');?></span>
                <span class="wcol-timeline-item-text"><?php esc_html_e('Install','wc-order-limit');?></span>
            </li>
            <li class="wcol-timeline-item <?php echo (isset($license['status']) && $license['status'])? 'wcol-step-done':'' ?>">
                <span class="wcol-timeline-item-helper "><?php esc_html_e('3','wc-order-limit');?></span>
                <span class="wcol-timeline-item-text"><?php esc_html_e('Premium','wc-order-limit');?></span>
            </li>
        </ul>

        <h3<?php esc_html_e('Enter Code for verification','wc-order-limit');?>></h3>
        <p><?php esc_html_e('Thank you for choosing XfinitySoft - WooCommerce Order Limit for Your Online Store','wc-order-limit');?></p>
      
        <form  method="post" action="options.php" id="xs-verification" class="wcol-verify-form  wcol-license-form">
            <div class="wcol-license-button">
                <div class="input-group wcol-license-input-group mb-3">
                    <input type="email" name="xswcol_email"  class="form-control" placeholder="Enter your email" aria-label="license-email" aria-describedby="wcol-verify-addon" value="<?php echo  $xswcol_email ?>" <?php echo (isset($license['status']) && $license['status'])? 'disabled':'' ?> required="required" id='wcol_email'>
                </div>
                <div class="input-group wcol-license-input-group <?php echo (isset($license['status']) && $license['status'])? 'wcol-license-input-with--icon':'mb-3' ?> ">
                    <?php if(isset($license['status']) && $license['status']){ ?>
                        <span class="input-group-text"></span>
                    <?php } ?>
                    <input type="text" name="xswcol_pcode"  class="form-control" placeholder="Enter your license key" aria-label="license-key" aria-describedby="wcol-verify-addon" value="<?php echo  $xswcol_pcode ?>" <?php echo (isset($license['status']) && $license['status'])? 'disabled':'' ?>>
                    
                    <?php
                    if( isset($license['status']) && $license['status'] ){
                        $other_attributes = array( 'data-toggle'=> "modal" , 'data-target' => "#xswcol-license-modal" );
                        submit_button('Delete','primary btn btn-outline-secondary ml-2 wcol-verify-btn', 'wcol-delete-button', false,$other_attributes);
                    }else{
                        submit_button('Verify','primary btn btn-outline-secondary ml-2 wcol-verify-btn', 'wcol-verify-code', false);
                        echo '<span class="spinner wcol_spinner wcol-license-spinner"></span>';
                    }
                    ?>
                </div>
                <div class="wcol-delete-txt wcol-license-notice">
                    <p></p>
                    <button type="button" class="notice-dismiss"><span class="screen-reader-text"><?php esc_html_e('Dismiss this notice.','wc-order-limit');?></span></button>
                </div>
            </div>
        </form>
    </div>
</div>
<!-- Modal -->
<div class="modal fade wcol-license-modal" id="xswcol-license-modal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">       
              <h5 class="modal-title"><?php esc_html_e('Are you sure you want to delete?','wc-order-limit'); ?></h5> 
              <button type="button" class="close wcol-disable" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <h6><?php esc_html_e('Note:This will delete license access for this site','wc-order-limit')?></h6>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary wcol-disable" data-dismiss="modal"><?php esc_html_e('No','wc-order-limit'); ?></button>
                <button type="button" class="btn btn-success wcol-delete-code wcol-disable"><?php esc_html_e('Yes','wc-order-limit'); ?></button>
                <span class="spinner wcol_spinner wcol-license-modal-spinner"></span>
            </div>
        </div>
    </div>
</div>
<!-- #Modal -->