<form action="" method="POST" class="wcol-settings">
	<?php wp_nonce_field( 'wcol_save_rules', '_wcol_save_rules_nonce', true ); ?>
		<input type="hidden" name='settings-rules-changes' value="1">
		<div class="wcol-rules-section wcol-store-section <?php echo (!isset($_GET['tab']) || $_GET['tab'] == 'wcol-store-tab')? '' : 'hidden' ?>">
			<?php if(!isset($wcol_settings['enable_store_limit']) || $wcol_settings['enable_store_limit']!='on'){
				$style="style='pointer-events: none;opacity:0.5;'";
				echo '<span style="color:red"><strong>'.__('Note! ', 'wc-order-limt').'</strong>'.__('Store Limits are Disabled.','wc-order-limt').'</span>';
				?><div class="wcol-help-tip" style="float:none; margin-right:0;">
					<span class="wcol-tip" > <?php _e('Store Limits are disabled, You can enable Store Limits in Advanced Tab.'); ?> </span>
				</div><?php
			}else{
				$style="";
			} ?>
			<table class="form-table wcol-form-table" <?php echo $style; ?>>
				<tbody>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-store-limit"><?php _e('Enable for Store Closed:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php _e('If Checked this checkbox Store show are closed.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="checkbox" class="wcol-store-limit" name="cart_store_limit" <?php if(isset($wcol_settings['cart_store_limit']) && $wcol_settings['cart_store_limit']=='on' ){echo 'checked'; } ?> />
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-store-max-amount-limit"><?php _e('Store Total Amount Maximum Limit:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php _e('Store Total Amount should be less than or equal to this limit.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="number" min="0" name="store_max_amount_limit" value="<?php echo isset($wcol_settings['store_max_amount_limit']) ? $wcol_settings['store_max_amount_limit']: '' ; ?>"/>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-store-mox-limit"><?php _e('Store Total No of orders Maximum Limit:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php _e('Store Total No of orders should be less than or equal to this limit.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="number" min="0" name="store_max_limit" value="<?php echo isset($wcol_settings['store_max_limit']) ? $wcol_settings['store_max_limit']: '' ; ?>"/>
						</td>
					</tr>
					<tr>
						<th><?php _e('Enable Time Span'); ?>:</th>
						<td>
							<input class='store-enable-time-limit' name="store_enable_time_limit" type="checkbox" <?php if(isset($wcol_settings['store_enable_time_limit'])&& $wcol_settings['store_enable_time_limit']=='on'){echo "checked";} ?> />
						</td>
					</tr>
					<tr class="store-time-span <?php if(!isset($wcol_settings['store_enable_time_limit']) || $wcol_settings['store_enable_time_limit']!='on'){echo "wcol-hidden";} ?>">
						<th><?php _e('Select Time Span'); ?>:</th>
						<td>
							<select class="wcol-store-time-span" name="wcol_store_time_span">
								<option value="daily" <?php if (isset($wcol_settings['wcol_store_time_span'] ) && $wcol_settings['wcol_store_time_span'] == 'daily'){ echo 'selected'; } ?> ><?php _e('Daily','wc-order-limt'); ?></option>
								<option value="weekly" <?php if (isset($wcol_settings['wcol_store_time_span'] ) && $wcol_settings['wcol_store_time_span']  == 'weekly'){ echo 'selected'; } ?>><?php _e('Weekly','wc-order-limt'); ?></option>
								<option value="monthly" <?php if (isset($wcol_settings['wcol_store_time_span'] ) && $wcol_settings['wcol_store_time_span']  == 'monthly'){ echo 'selected'; } ?>><?php _e('Monthly','wc-order-limt'); ?></option>
								<option value="yearly" <?php if (isset($wcol_settings['wcol_store_time_span'] ) && $wcol_settings['wcol_store_time_span']  == 'yearly'){ echo 'selected'; } ?>><?php _e('Yearly','wc-order-limt'); ?></option>
								<option value="custom" <?php if (isset($wcol_settings['wcol_store_time_span'] ) && $wcol_settings['wcol_store_time_span']  == 'custom'){ echo 'selected'; } ?>><?php _e('Custom' , 'wc-order-limt'); ?></option>
							</select>
						</td>
					</tr>
					<tr class="store-time-yearly-span <?php if(!isset($wcol_settings['wcol_store_time_span']) || $wcol_settings['wcol_store_time_span']!='yearly'){echo "wcol-hidden";} ?>">
						<th><?php _e('Year Start Date'); ?>:</th>
						<td>
							<input type="number" max="31" min="01" class="wcol-store-yearly-start-day" name="wcol_store_yearly_start_day" value="<?php echo isset($wcol_settings['wcol_store_yearly_start_day']) ? $wcol_settings['wcol_store_yearly_start_day'] : '1'; ?>"/>
							<select class="wcol-store-yearly-start-month" name="wcol_store_yearly_start_month">
								<?php if(is_array($monthsArray)){ foreach($monthsArray as $key => $value){ ?>
									<option value="<?php echo $key; ?>" <?php if(isset($wcol_settings['wcol_store_yearly_start_month']) && $wcol_settings['wcol_store_yearly_start_month'] == $key){ echo 'selected'; } ?> ><?php echo $value; ?></option>
								<?php } } ?>
							</select>
						</td>
					</tr>
					<tr class="store-time-weekly-span <?php if(!isset($wcol_settings['wcol_store_time_span']) || $wcol_settings['wcol_store_time_span']!='weekly'){echo "wcol-hidden";} ?>">
						<th><?php _e('Week Start Day'); ?>:</th>
						<td>
							<select class="wcol-store-weekly-start-day" name="wcol_store_weekly_start_day">
								<?php if(is_array($weeksArray)){ foreach($weeksArray as $key => $value){ ?>
									<option value="<?php echo $key; ?>" <?php if(isset($wcol_settings['wcol_store_weekly_start_day']) && $wcol_settings['wcol_store_weekly_start_day'] == $key){ echo 'selected'; } ?> ><?php echo $value; ?></option>
								<?php } } ?>
							</select>
						</td>
					</tr>
					<tr class="store-time-monthly-span <?php if(!isset($wcol_settings['wcol_store_time_span']) || $wcol_settings['wcol_store_time_span']!='monthly'){echo "wcol-hidden";} ?>">
						<th><?php _e('Month Start Date'); ?>:</th>
						<td><input class="wcol-store-monthly-start-date" type="number" min="01" max="31" name="wcol_store_monthly_start_date" value="<?php echo isset($wcol_settings['wcol_store_monthly_start_date']) ? $wcol_settings['wcol_store_monthly_start_date']:'1'; ?>"/></td>
					</tr>
					
					<tr class="store-time-custom-span <?php if(!isset($wcol_settings['wcol_store_time_span']) || $wcol_settings['wcol_store_time_span'] != 'custom'){echo "wcol-hidden";} ?>">
						<th><?php _e('Start Date'); ?>:</th>
						<td><input class="wcol-store-start-time " name="wcol_store_start_time" value="<?php echo isset($wcol_settings['wcol_store_start_time']) ? $wcol_settings['wcol_store_start_time'] :'' ; ?>"/></td>
					</tr>
					
					<tr class="store-time-custom-span <?php if(!isset($wcol_settings['wcol_store_time_span']) || $wcol_settings['wcol_store_time_span'] != 'custom'){echo "wcol-hidden";} ?>">
						<th><?php _e('End Date'); ?>:</th>
						<td><input class="wcol-store-end-time" name="wcol_store_end_time" value="<?php echo isset($wcol_settings['wcol_store_end_time']) ? $wcol_settings['wcol_store_end_time']:''; ?>"/></td>
					</tr>
					<tr valign="top" class="wc-actions-row">
						<td class="wcol-order-total-save">
							<input type="submit"  class="button button-primary button-large xs-wcol" value="<?php _e('Save Changes', 'wc-order-limt')?>"/>
							<span class="spinner xs-wcol-spinner"></span>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
		<div class="wcol-rules-section wcol-order-total-section <?php echo (isset($_GET['tab']) && $_GET['tab'] == 'wcol-order-total-tab')? '' : 'hidden' ?>">
			<?php if(!isset($wcol_settings['enable_cart_total_limit'])){
				$style="style='pointer-events: none;opacity:0.5;'";
				echo '<span style="color:red"><strong>'.__('Note! ', 'wc-order-limt').'</strong>'.__('Order Total Limits are Disabled.','wc-order-limt').'</span>';
				?><div class="wcol-help-tip" style="float:none; margin-right:0;">
					<span class="wcol-tip" > <?php esc_html_e('Order Total Limits are disabled, You can enable Order Total Limits in Advanced Tab.'); ?> </span>
				</div><?php
			}else{
				$style="";
			} ?>
			<table class="form-table wcol-form-table" <?php echo $style; ?>>
				<tbody>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="cart_total_minimum_limit"><?php esc_html_e('Cart Total Minumum Limit:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php esc_html_e('Cart Total(amount or total Items in Cart) should be greater than or equal to this limit.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="number" min="0" name="cart_total_minimum_limit" value="<?php echo isset($wcol_settings['cart_total_minimum_limit']) ? $wcol_settings['cart_total_minimum_limit']:'0'; ?>"/>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-cart-total-enable-single-cat-limit"><?php _e('Enable Cart Total Single Category Limit:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php _e('Check this box if you want to enable single category Limit for Cart Total.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="checkbox" class="wcol-cart-total-enable-single-cat-limit" name="wcol-cart-total-enable-single-cat-limit" <?php if(isset($wcol_settings['cart_total_enable_single_cat_limit']) && $wcol_settings['cart_total_enable_single_cat_limit']=='on' ){echo 'checked'; } ?> />
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-cart-total-enable-max-limit"><?php esc_html_e('Enable Cart Total Maximum Limit:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php esc_html_e('Check this box if you want to enable Maximum Limit for Cart Total.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="checkbox" class="enable-cart-total-max-rule-limit" name="cart_total_enable_maximum_limit" <?php if(isset($wcol_settings['cart_total_enable_maximum_limit']) && $wcol_settings['cart_total_enable_maximum_limit']=='on' ){echo 'checked'; } ?> />
						</td>
					</tr>
					<tr valign="top" class="<?php if(isset($wcol_settings['cart_total_enable_maximum_limit']) && $wcol_settings['cart_total_enable_maximum_limit']!='on' ){ echo 'wcol-hidden ';}?>" >
						<th scope="row" class="titledesc">
							<label for="wcol-cart-total-max-limit"><?php esc_html_e('Cart Total Maximum Limit:', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php esc_html_e('Cart Total(amount or total Items in Cart) should be less than or equal to this limit.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<input type="number" min="0" class="wcol-rule-max-limit" name="cart_total_maximum_limit" value="<?php echo isset($wcol_settings['cart_total_maximum_limit']) ? $wcol_settings['cart_total_maximum_limit']:''; ?>"/>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-cart-total-applied-on"><?php esc_html_e('Applied On', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"><?php esc_html_e('Select  whether Min and Max limits for Cart Total will be applied on Cart total Amount or on total Items in Cart.', 'wc-order-limt'); ?></span>
							</div>
						</th>
						<td>
							<select name="cart_total_applied_on">
								<option value="quantity" <?php if(isset($wcol_settings['cart_total_applied_on']) && $wcol_settings['cart_total_applied_on']=='quantity'){{echo 'selected';}} ?> ><?php esc_html_e('Total items in Cart','wc-order-limt');?></option>
								<option value="amount" <?php if(isset($wcol_settings['cart_total_applied_on']) && $wcol_settings['cart_total_applied_on']=='amount'){{echo 'selected';}} ?> ><?php esc_html_e('Cart Total','wc-order-limt');?></option>
							</select>
						</td>
					</tr>
					<tr valign="top" class="wc-actions-row">
						<td class="wcol-order-total-save">
							<input type="submit" class="button button-primary button-large xs-wcol" value="<?php esc_html_e('Save Changes', 'wc-order-limt')?>"/>
							<span class="spinner xs-wcol-spinner"></span>
						</td>
					</tr>
				</tbody>
				
			</table>
		</div>
		<div class="wcol-rules-section wcol-advance-tab-section <?php echo (isset($_GET['tab']) && $_GET['tab'] == 'wcol-settings-tab')? '' : 'hidden' ?>">
			<table class="form-table wcol-form-table">
				<tbody>
					<tr>
						<td><h3><?php _e('Store Limit Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for=""><?php _e('Store Limits', 'wc-order-limt'); ?>:</label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php _e('Check this box to enable store based limits.','wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php _e('Store Limits', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-enable-product-limit">
									<input type="checkbox" name="enable_store_limit" <?php if(isset($wcol_settings['enable_store_limit']) && $wcol_settings['enable_store_limit']=='on'){ echo 'checked';} ?> > <?php _e('Enable Store Limits', 'wc-order-limt'); ?>
								</label> 
							</fieldset>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-store-limit-message"><?php _e('Message for Store limit', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php _e('This message will be shown on cart page if customer do not fulfill the store limit.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="store_limit_message" id="wcol-store-limit-message" rows="3"><?php echo isset($wcol_settings['store_limit_message']) ? $wcol_settings['store_limit_message'] :''; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php _e('Use {store-name} for Store Name');?>
								</span>

							</div>
						</td>				
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row">
							<label for="wcol-store-limit-message-order-amount"><?php _e('Message for Store Total Order or Amount', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php _e('This message will be shown on cart or checkout page if customers maximum limit to order is reached and limit is being applied on total amount of orders in selected timespan.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="store_message_total_amount" id="wcol-store-limit-message-order-amount" rows="3"><?php echo isset($wcol_settings['store_message_total_amount'])? $wcol_settings['store_message_total_amount']:''; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php _e('Use {store-name} for Store,{max-order-limit} is for Maximum orders limit,{max-amount-limit} is for Maximum amount limit,{time-span} for i.e Daily, Weekly,  Or Monthly {limit-reset-day} for date on which limit will be rest.','wc-order-limt');?>
								</span>

							</div>
						</td>
					</tr>
					<tr>
						<td><h3><?php esc_html_e('Product Limit Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for=""><?php esc_html_e('Products Limits', 'wc-order-limt'); ?>:</label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e('Check this box to enable products based limits.', 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Products Limits', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-enable-product-limit">
									<input type="checkbox" name="enable_product_limit" <?php if(isset($wcol_settings['enable_product_limit']) && $wcol_settings['enable_product_limit']=='on'){ echo 'checked';} ?> > <?php esc_html_e('Enable Products Limits', 'wc-order-limt'); ?>
								</label> 
							</fieldset>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-product-limit-message"><?php esc_html_e('Message for Product limit', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for products.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="product_limit_message" id="wcol-product-limit-message" rows="3"><?php echo $wcol_settings['product_limit_message']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {product-name} for Product Name, {min-limit} for Minimum Limit, {max-limit} for Maximum Limit {applied-on} for quantity/amount , {time-span} for rule time span, {limit-reset-day} for rule rest date,{endline} for line end, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-product-limit-message-across-all-orders"><?php esc_html_e('Message for Product limit For Previous Orders Of Current User Rules', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for products on Previous Orders Of Current User.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="product_limit_message_across_all_orders" id="wcol-product-limit-message-across-all-orders" rows="3"><?php echo $wcol_settings['product_limit_message_across_all_orders']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {product-name} for Product Name, {max-limit} for Maximum Limit, {applied-on} for quantity/amount, {time-span} for rule time span, {limit-reset-day} for rule rest date, {endline} for line end, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-product-limit-message-across-all-user-orders"><?php _e('Message for Product limit For Previous Orders Of All Users Rules', 'wc-order-limit'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php _e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for products on Previous Orders Of All Users Rules.' , 'wc-order-limit'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="product_limit_message_across_all_users_orders" id="wcol-product-limit-message-across-all-users-orders" rows="3"><?php echo isset($wcol_settings['product_limit_message_across_all_users_orders']) ? $wcol_settings['product_limit_message_across_all_users_orders']:''; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php _e('Use {product-name} for Product Name, {max-limit} for Maximum Limit, {applied-on} for quantity/amount, {time-span} for rule time span, {limit-reset-day} for rule rest date, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-product-limit-accomulative"><?php esc_html_e('Message for Product limit For Accomulative Rules', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill rule for Acomulative Products.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="product_limit_message_accomulative" id="wcol-product-limit-message-accomulative" rows="3"><?php echo $wcol_settings['product_limit_message_accomulative']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {product-names} for Product Names seperated by comma, {max-limit} for Maximum Limit {min-limit} for Minimum Limit, {applied-on} for quantity/amount,  , {time-span} for rule time span, {limit-reset-day} for rule rest date, {endline} for line end, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>

					<tr valign="top">
						<td><h3><?php esc_html_e('Category Limit Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-enable-category-limit"><?php esc_html_e('Category Limits', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('Check this box to enable product categories based limits.', 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Category Limits', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-enable-category-limit">
									<input type="checkbox" name="enable_category_limit" <?php if(isset($wcol_settings['enable_category_limit']) && $wcol_settings['enable_category_limit']=='on'){ echo 'checked';} ?> > <?php esc_html_e('Enable Category Limits', 'wc-order-limt'); ?>
								</label> 
							</fieldset>
						</td>
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row"> 
							<label for="wcol-category-limit-message"><?php esc_html_e('Message for Category limit', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for product categories,{endline} for line end, {remaining} for Remain quantity/amount.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="category_limit_message" id="category_limit_message" rows="3"><?php echo $wcol_settings['category_limit_message']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {category-name} for Category Name, {min-limit} for Minimum Limit, {max-limit} for Maximum Limit {applied-on} for quantity/amount , {time-span} for rule time span, {limit-reset-day} for rule rest date,{endline} for line end, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					
					<tr valign="top" class="titledesc">
						<th scope="row"> 
							<label for="wcol-category-limit-message-across-all-orders"><?php esc_html_e('Message for Category limit for Previous Orders of Current User', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for product categories on Previous Orders of Current User,{endline} for line end, {remaining} for Remain quantity/amount.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="category_limit_message_across_all_orders" id="wcol-category-limit-message-across-all-orders" rows="3"><?php echo $wcol_settings['category_limit_message_across_all_orders']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {category-name} for Category Name, {max-limit} for Maximum Limit {applied-on} for quantity/amount, {time-span} for rule time span, {limit-reset-day} for rule rest date,{endline} for line end, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row"> 
							<label for="wcol-category-limit-message-across-all-users-orders"><?php _e('Message for Category limit for Previous Orders of All Users', 'wc-order-limit'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php _e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for product categories on Previous Orders of All Users.' , 'wc-order-limit'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="category_limit_message_across_all_users_orders" id="wcol-category-limit-message-across-all-users-orders" rows="3"><?php echo isset($wcol_settings['category_limit_message_across_all_users_orders'])? $wcol_settings['category_limit_message_across_all_users_orders']:''; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php _e('Use {category-name} for Category Name, {max-limit} for Maximum Limit {applied-on} for quantity/amount, {time-span} for rule time span, {limit-reset-day} for rule rest date, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row"> 
							<label for="wcol-category-limit-message-accomulative"><?php esc_html_e('Message for Category limit for Accomulative Rules', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill an accomulative rule for product categories,{endline} for line end, {remain-items} for remaining items.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="category_limit_message_accomulative" id="wcol-category-limit-message-accomulative" rows="3"><?php echo $wcol_settings['category_limit_message_accomulative']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {category-names} for Category Names seperated by comma, {max-limit} for Maximum Limit, {min-limit} for Minimum Limit, {applied-on} for quantity/amount , {time-span} for rule time span, {limit-reset-day} for rule rest date,{endline} for line end, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<?php if(is_plugin_active( 'wc-vendors/class-wc-vendors.php' )){ ?>
					<tr valign="top" class="titledesc">
						<td><h3><?php esc_html_e('Vendor Limit Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row"> 
							<label for="wcol-enable-vendor-limit"><?php esc_html_e('Vendor Limits', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('If you are using WC Vendor plugin then check this box to enable Vendor based limits.', 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Vendor Limits', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-enable-vendor-limit">
									<input type="checkbox" name="enable_vendor_limit"  <?php if(isset($wcol_settings['enable_vendor_limit']) && $wcol_settings['enable_vendor_limit']=='on'){ echo 'checked';} ?> > <?php esc_html_e('Enable Vendor Limits', 'wc-order-limt'); ?>
								</label> 
							</fieldset>
						</td>
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row">
							<label for="wcol-vendor-limit-message"><?php esc_html_e('Message for Vendor limit', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for vendors.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="vendor_limit_message" id="wcol-vendor-limit-message" rows="3"><?php echo  isset($wcol_settings['vendor_limit_message']) ? $wcol_settings['vendor_limit_message']: ''; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {vendor-shop-name} for Vendor Shop Name, {min-limit} for Minimum Limit, {max-limit} for Maximum Limit {applied-on} for quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<?php } ?>
					
					<tr valign="top">
						<td><h3><?php esc_html_e('Customers Limit Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-enable-customer-limit"><?php esc_html_e('Customers limts', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('Check this box to enable limits on Customers.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Customers Limits', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-enable-customer-limit">
									<input type="checkbox" name="enable_customer_limit" <?php if(isset($wcol_settings['enable_customer_limit']) && $wcol_settings['enable_customer_limit']=='on'){ echo 'checked';} ?> > <?php esc_html_e('Enable Customers Limits', 'wc-order-limt'); ?>
								</label> 
							</fieldset>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-monthly-limit-reset-date"><?php esc_html_e('Monthly Limit Reset Day', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('Day on which monthly order limits will be reset i,e 1st of everty month.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Monthly Limit Reset Day', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-monthly-limit-reset-date">
									<input type="number" min="1" max = "31" name="monthly_limit_reset_date" value="<?php echo $wcol_settings['monthly_limit_reset_date']; ?>" >
								</label> 
							</fieldset>
						</td>
					</tr>
					
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-weekly-limit-reset-date"><?php esc_html_e('Weekly Limit Reset Day', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('Day on which weekly limits will be reset i.e Monday.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Weekly Limit Reset Day', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-weekly-limit-reset-date">
									<select name="weekly_limit_reset_date">
										<?php if(is_array($weeksArray)){ foreach($weeksArray as $key => $value){ ?>
											<option value="<?php echo $key; ?>" <?php if($wcol_settings['weekly_limit_reset_date'] == $key){echo 'selected';} ?>><?php echo $value; ?></option>
										<?php } }?>
									</select>
								</label> 
							</fieldset>
						</td>
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row">
							<label for="wcol-customer-limit-message"><?php esc_html_e('Message for No. of orders', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on checkout page if customers maximum limit to order is reached and limit is being applied on numbers of orders in selected timespan.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="customer_message" id="wcol-customer-limit-message" rows="3"><?php echo $wcol_settings['customer_message']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {rule-limit} for Limit, {time-span} for i.e Daily, Weekly,  Or Monthly {limit-reset-day} for date on which limit will be rest.{remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>
					</tr>
					<tr valign="top" class="titledesc">
						<th scope="row">
							<label for="wcol-customer-limit-message-order-amount"><?php esc_html_e('Message for Total Order Amount', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on checkout page if customers maximum limit to order is reached and limit is being applied on total amount of orders in selected timespan.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="customer_message_total_amount" id="wcol-customer-limit-message-order-amount" rows="3"><?php echo $wcol_settings['customer_message_total_amount']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {rule-limit} for Limit, {time-span} for i.e Daily, Weekly,  Or Monthly {limit-reset-day} for date on which limit will be rest, {remaining} for Remain quantity/amount.');?>
								</span>

							</div>
						</td>
					</tr>
					
					<tr valign="top">
						<td><h3><?php esc_html_e('Cart Total Limit Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-enable-cart-total-limit"><?php esc_html_e('Cart Total Limits', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('Check this box to enable limits on cart total.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-checkbox" >
							<fieldset>
								<legend class="screen-reader-text"><span><?php esc_html_e('Cart Total Limits', 'wc-order-limt'); ?></span></legend>
								<label for="wcol-enable-cart-total-limit">
									<input type="checkbox" name="enable_cart_total_limit" <?php if(isset($wcol_settings['enable_cart_total_limit']) && $wcol_settings['enable_cart_total_limit']=='on'){ echo 'checked';} ?> > <?php esc_html_e('Enable Cart Total Limits', 'wc-order-limt'); ?>
								</label> 
							</fieldset>
						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc"> 
							<label for="wcol-cart-total-limit-message"><?php esc_html_e('Message for Cart Total', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip" title="">
								<span class="wcol-tip"> <?php esc_html_e('This message will be shown on cart page if customer do not fulfill the order limit that you specified for cart totals.' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td class="wcol-forminp wcol-forminp-textarea">
							<div>
								<textarea name="cart_total_limit_message"  id="wcol-cart-total-limit-message" rows="3"><?php echo $wcol_settings['cart_total_limit_message']; ?></textarea>
								<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Use {min-limit} for Minimum Limit, {max-limit} for Maximum Limit, {applied-on} for quantity/amount.');?>
								</span>

							</div>
						</td>				
					</tr>
					<tr valign="top">
						<td><h3><?php esc_html_e('Other Options:', 'wc-order-limt'); ?></h3></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-enable-checkout-button"><?php esc_html_e('Hide Checkout Button', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e("If you check this checkbox then Checkout Button will be hidden on cart page if customer do not fulfill any of the limits that you specified." , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td><input type="checkbox" name="enable_checkout_button" <?php if(isset($wcol_settings['enable_checkout_button']) && $wcol_settings['enable_checkout_button']=='on'){ echo 'checked';} ?>></td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-enable-checkout-redirect"><?php esc_html_e('Enable checkout page redirect', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php esc_html_e("If you check this checkbox then Checkout page will be redirect on cart page if customer fulfill any of the limits that you specified." , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td>
							<input type="checkbox" name="enable_checkout_redirect" <?php if(isset($wcol_settings['enable_checkout_redirect']) && $wcol_settings['enable_checkout_redirect']=='on'){ echo 'checked';} ?>>
							<br>
							<span style="display: inline-block; padding: 0 50px 0 5px; font-style: italic; font-size: 11px; ">
									<?php esc_html_e('Kindly disable if you use any plugin that direct goto checkout or bypass cart page. Because show error too many redirect.');?>
							</span>

						</td>
					</tr>
					<tr valign="top">
						<th scope="row" class="titledesc">
							<label for="wcol-reset-time"><?php _e('Limit Reset Time', 'wc-order-limt'); ?></label>
							<div class="wcol-help-tip">
								<span class="wcol-tip"> <?php _e('This is reset Daily time of limit' , 'wc-order-limt'); ?> </span>
							</div>
						</th>
						<td>
							<div>
								<select name="reset_time" id ="wcol-customer-reset-time" >
									<option value="1" <?php echo  (isset($wcol_settings['reset_time']) &&  $wcol_settings['reset_time'] == 1) ? 'selected':''; ?>><?php _e('Midnight (12:00 AM)', 'wc-order-limt'); ?></option>
									<option value="2" <?php echo  (isset($wcol_settings['reset_time']) &&  $wcol_settings['reset_time'] == 2) ? 'selected':''; ?>><?php _e('Purchase time', 'wc-order-limt'); ?></option>
								</select>
							</div>
						</td>
					</tr>
					<tr valign="top" class="wc-actions-row">
						<td class="wcol-order-total-save">
							<input type="submit"  class="button button-primary button-large xs-wcol" value="<?php esc_html_e('Save Changes', 'wc-order-limt')?>"/>
							<span class="spinner xs-wcol-spinner"></span>
						</td>
					</tr>
				</tbody>
			</table>
		</div>
</form>
